## org.eclipse.jst.jsf.taglibprocessing.attributevalues
Class ActionType

    java.lang.Object
      org.eclipse.jst.jsf.metadataprocessors.AbstractMetaDataEnabledFeature
          org.eclipse.jst.jsf.metadataprocessors.AbstractRootTypeDescriptor
              org.eclipse.jst.jsf.taglibprocessing.attributevalues.BindingType
                  org.eclipse.jst.jsf.taglibprocessing.attributevalues.ExpressionBindingType
                      org.eclipse.jst.jsf.taglibprocessing.attributevalues.MethodBindingType
                          org.eclipse.jst.jsf.taglibprocessing.attributevalues.ActionType

All Implemented Interfaces:
  IPossibleValues, IValidELValues, IValidValues, IMetaDataEnabledFeature, ITypeDescriptor

    public class ActionType

extends MethodBindingType
implements IPossibleValues

Meta-data processing type representing an "action" attribute

Provisional API - subject to change

Field Summary

Fields inherited from class org.eclipse.jst.jsf.taglibprocessing.attributevalues.ExpressionBindingType
`RUNTIME_PARAMS_TYPES, RUNTIME_RETURN_TYPE, RUNTIME_SETTER_REQUIRED`

Fields inherited from interface org.eclipse.jst.jsf.metadataprocessors.features.IPossibleValues
`POSSIBLE_VALUES_FOR_DISPLAY_PROP_NAME, POSSIBLE_VALUES_PROP_NAME, POSSIBLE_VALUES_SMALL_ICON_PROP_NAME`

Fields inherited from interface org.eclipse.jst.jsf.metadataprocessors.features.IValidValues
`VALID_VALUES_CODE_PROP_NAME, VALID_VALUES_MAX_PROP_NAME, VALID_VALUES_MESSAGE_PROP_NAME, VALID_VALUES_MIN_PROP_NAME, VALID_VALUES_PROP_NAME, VALID_VALUES_SEVERITY_PROP_NAME`

Constructor Summary
`ActionType()`

Method Summary
`java.util.List` `getPossibleValues()`
`boolean` `isValidValue(java.lang.String value)` Non-EL values are invalid for method bound attribute values

Methods inherited from class org.eclipse.jst.jsf.taglibprocessing.attributevalues.MethodBindingType
`getExpectedRuntimeType`

Methods inherited from class org.eclipse.jst.jsf.taglibprocessing.attributevalues.ExpressionBindingType
`getValidationMessages`

Methods inherited from class org.eclipse.jst.jsf.metadataprocessors.AbstractRootTypeDescriptor
`getFeatureAdapters, getTypeExtension, setTypeExtension`

Methods inherited from class org.eclipse.jst.jsf.metadataprocessors.AbstractMetaDataEnabledFeature
`getMetaDataContext, getStructuredDocumentContext, setMetaDataContext, setStructuredDocumentContext`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jst.jsf.metadataprocessors.IMetaDataEnabledFeature
`getMetaDataContext, getStructuredDocumentContext, setMetaDataContext, setStructuredDocumentContext`

Methods inherited from interface org.eclipse.jst.jsf.metadataprocessors.features.IValidValues
`getValidationMessages`

Constructor Detail

### ActionType

    public ActionType()

Method Detail

### isValidValue

    public boolean isValidValue(java.lang.String value)

  Description copied from class: `MethodBindingType`
  Non-EL values are invalid for method bound attribute values

  Specified by:
    `isValidValue` in interface `IValidValues`
  Overrides:
    `isValidValue` in class `MethodBindingType`
  Parameters:
    `value` - fully resolved value as String
  Returns:
    true if is valid
  See Also:
    `IValidValues.isValidValue(java.lang.String)`

### getPossibleValues

    public java.util.List getPossibleValues()

  Specified by:
    `getPossibleValues` in interface `IPossibleValues`
  Returns:
    List of IPossibleValue instances representing possible values Implementer must ensure that an empty rather than null list is returned if no values are posssible.